#include "RenderDvdSpin.hpp"
#include "../Renderer.hpp"

#ifdef _WIN32
#include "../D3D.hpp"
#include "D3DSpin.hpp"
#endif

namespace Li::Gui::DvdSpin {
	RenderDvdSpin* RenderDvdSpin::CreateDvdSpinner(Renderer* renderer)
	{

#ifdef _WIN32
		D3D* d3d = (D3D*)renderer;
		return new D3DSpin(d3d);
#endif

	}

	void RenderDvdSpin::DeleteDvdSpinner(RenderDvdSpin* spin)
	{

#ifdef _WIN32
		D3DSpin* d3dSpin = (D3DSpin*)spin;
		delete d3dSpin;
#endif

	}
}